如何炸开CAD图纸里的多重插入块?

吾爱教程(SEO阿广) 2022-08-03 58阅读 0评论

Hello!大家好,我是阿广,今天小编来分享一下“如何炸开CAD图纸里的多重插入块?”这篇文章,我们每天分享有用的知识,下面小编就来分享一下吧,大家一起来学习吧!(⊃‿⊂)

原料/工具

CAD2015

炸开cad图纸里的多重插入块程序(后附)

方法/步骤

第1步

将以下程序复制到TXT文件中,然后另存为exm.lsp文件。保存如下图

如何炸开CAD图纸里的多重插入块? 第1张

如何炸开CAD图纸里的多重插入块? 第2张

第2步

程序如下:

;;-------------------------------------------------------------

;;转换“多重插入块”为“普通块”。

(DEFUN C:exm ()

(setvar "cmdecho" 0)

(SETQ STM (car (ENTSEL "\n点取多重块")))

(while stm

(setq e (entget stm))

(setq stlx (cdr (assoc 0 e)))

(if (= stlx "INSERT")

(PROGN

(setq r_zm70 (assoc 70 e))

(setq c_zm71 (assoc 71 e))

(setq r_dist_zm44 (assoc 44 e))

(setq c_dist_zm45 (assoc 45 e))

(setq e (subst (cons 44 0) r_dist_zm44 e))

(setq e (subst (cons 45 0) c_dist_zm45 e))

(setq e (subst (cons 70 0) r_zm70 e))

(setq e (subst (cons 71 0) c_zm71 e))

(setq e (subst (list 100"AcDbBlockReference") (list 100"AcDbMInsertBlock") e))

(entmake e)

(entdel stm)

))

(SETQ STM (car (ENTSEL "\n点取下一多重块")))

)

(setvar "cmdecho" 1)

)

第3步

如图是“多重插入块”

如何炸开CAD图纸里的多重插入块? 第3张

第4步

第一步:加载刚保存的exm.lsp文件。

如何炸开CAD图纸里的多重插入块? 第4张

第5步

提示加载完成后,关闭。

如何炸开CAD图纸里的多重插入块? 第5张

第6步

输入“exm"命令

如何炸开CAD图纸里的多重插入块? 第6张

第7步

按提示操作,选择多重块。

如何炸开CAD图纸里的多重插入块? 第7张

第8步

然后,按空格,终止命令。

如何炸开CAD图纸里的多重插入块? 第8张

第9步

输入"x"打散,就OK了。

如何炸开CAD图纸里的多重插入块? 第9张

第10步

效果图。

如何炸开CAD图纸里的多重插入块? 第10张

温馨提示

相信大家看完“如何炸开CAD图纸里的多重插入块?”这篇文章都已经有所了解了,如果大家还有其它疑问的话,可以通过搜索来获取更多相关的文章,我们每天都会为大家带来最新最实用的知识。(⊃‿⊂)

【如果有想学SEO采集的话请关注我的公众号“SEO阿广”】

本站所有文章来源于网络收集整理,如有侵权请联系QQ2387153712删除,如果这篇文章对你有帮助或者还不错的话请给小编点个赞(◠‿◠)

发表评论

快捷回复: 表情:
验证码
评论列表 (暂无评论,58人围观)

还没有评论,来说两句吧...

目录[+]